<script setup>
import { ref } from "vue";
import Button from './Button.vue';

defineProps({
    isOpen: Boolean,
    data: Object
})

let max_visit = ref(0);

function save() {
    this.$emit('newData', max_visit.value)
}

</script>
<template>
    <div class="modal-mask justify-center" :class="{ open: isOpen, closed: !isOpen }">
        <div class="bg-white inline-block w-1/2 m-auto p-8">
            <div class="flex w-full justify-between">
                <h3 class="font-bold text-2xl">Muuda teenust</h3>
                <Button @click="isOpen = false">Sulge</Button>
            </div>
            <div class="mt-6">
                <div class="mb-4">
                    <label class="block text-gray-700 text-sm font-bold mb-2" for="service">Teenus</label>
                    <select
                        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                        id="service"
                    >
                        <option value="Jõusaal">Jõusaal</option>
                    </select>
                </div>
                <div class="mb-4">
                    <label class="block text-gray-700 text-sm font-bold mb-2" for="amount">Külastusi</label>
                    <input
                        min=0
                        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                        id="amount"
                        type="number"
                        v-model="max_visit"
                    />
                </div>
            </div>
            <div class="mt-8">
                <Button type="primary" @click="save()">Salvesta</Button>
            </div>
        </div>
    </div>
</template>

<style scoped>
.open {
    display: flex !important;
}

.closed  {
    display: none !important;
}
.modal-mask {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    background: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
}
</style>